.catalog.search-bar-container {
  display: grid;
  grid-gap:4px;
  grid-template: "one   two" / 1fr auto;
  background-color:white;
  border: 1px solid #C7C7C7;
  border-radius:4px;

  .search-options-container {
    position: relative;
    border-right: 1px solid #c7c7c7;
    background-color: white;
    border-radius: 4px 0 0 4px;

    .search-options{
      -webkit-appearance: none;
      -moz-appearance: none;
      border-radius: 4px 0 0 4px;
      display: block;
      margin: 0;
      padding: 0 12px;
      padding-right: 0;
      height: 36px;
      color: #252525;
      border: 0;
      font-size: 14px;
      width: 100%;
      max-width: 100%;
      background-color: transparent;
      cursor: pointer;
      text-align: left;
      span{

      }
      &::-ms-expand {
        display: none;
      }
      &:focus {
        outline: 0;
        box-shadow: 0 0 0 2px white, 0 0 0 4px #1977D4;
      }
    }

    pearson-icon{
      position: absolute;
      right: 12px;
      top: calc(50% - 9px);
      fill: #6A7070;
      pointer-events: none;
    }

  } //end .search-options-container

  .search-input {
    border-radius: 4px 0 0 4px;
    grid-area: one;
    display: block;
    margin: 0;
    padding: 0 12px;
    height: 36px;
    color: #252525;
    border: 0;
    background: transparent;
    font-size: 14px;
    width: 100%;
    max-width: 100%;
    z-index: 10;
    &:focus {
      outline: 0;
      box-shadow: 0 0 0 2px white, 0 0 0 4px #1977D4;
    }
  }

  button {
    background: transparent;
    color: #6A7070;
    padding:0;
    cursor: pointer;
    position: relative;
    margin: 1px 0;
    border:0;
    height: 34px;
    width: 44px;
    &:focus {
      outline: 0;
      box-shadow: 0 0 0 2px white, 0 0 0 4px #1977D4;
    }
  }

  .filterBtn{
    border-radius: 0;
  }

  .searchBtn{
    grid-area: two;
    background-color: #FFB81C;
    border-radius: 0px 4px 4px 0px;
    margin-right: 1px;
  }

  //variations of the grid (default is just input and search button)
  //just search options
  &.onlySearchOpts{
    grid-gap:4px;
    grid-template: "one   two   three" / 140px 1fr auto;
    .search-options-container{
      grid-area: one;
    }
    .search-input{
      border-radius: 0;
      grid-area: two;
    }
    .searchBtn{
      grid-area: three;
    }
  }

  //only search options but collapsed
  &.collapsed.onlySearchOpts{
    grid-gap:4px;
    grid-template:
    "one   one   one" 36px
    "two   two   three" 36px /
    1fr auto auto;
    .search-options-container{
      grid-area: one;
      border-right:0;
      border-bottom: 1px solid #c7c7c7;
      border-radius: 4px 4px 0 0;
      height: 40px;
    }
    .search-options{
      border-radius: 4px 4px 0 0;
    }
    .search-input{
      border-radius: 0 0 0 4px;
      grid-area: two;
    }
    .searchBtn{
      border-radius: 0 0 4px 0;
      grid-area:three;
    }
  }

  //just filter
  &.onlyFilter{
    grid-gap:4px;
    grid-template: "one   two   three" / 1fr auto auto;
    .search-input{
      border-radius: 4px 0 0 4px;
      grid-area: one;
    }
    .filterBtn{
      grid-area: two;
    }
    .searchBtn{
      grid-area: three;
    }
  }

  //both search options and filter
  &.both{
    grid-gap:4px;
    grid-template: "one   two   three   four" / 140px 1fr auto auto;
    .search-options-container{
      grid-area: one;
    }
    .search-input{
      border-radius: 0;
      grid-area: two;
    }
    .filterBtn{
      grid-area: three;
    }
    .searchBtn{
      grid-area: four;
    }
  }

  //both search options and filter but collapsed
  &.collapsed.both{
    grid-gap:4px;
    grid-template:
    "one   one   one" 36px
    "two   three four" 36px /
    1fr auto auto;
    .search-options-container{
      grid-area: one;
      border-right:0;
      border-bottom: 1px solid #c7c7c7;
      border-radius: 4px 4px 0 0;
      height: 40px;
    }
    .search-options{
      border-radius: 4px 4px 0 0;
    }
    .search-input{
      border-radius: 0 0 0 4px;
      grid-area: two;
    }
    .filterBtn{
      grid-area:three;
    }
    .searchBtn{
      border-radius: 0 0 4px 0;
      grid-area:four;
    }
  }

  //start disabled styles
  &.disabled{
    background-color:#E9E9E9;
    .filterBtn{
      cursor:auto;
    }
    .searchBtn{
      background-color:transparent;
      cursor:auto;
      pearson-icon{
        fill:#6a7070;
      }
    }
  }

  //error state
  &.error{
    &~.error-state {
      display: flex;
    }

    &~.error-state span{
      margin-left: 8px;
      color: #DB0020;
    }

    &~.error-state pearson-icon{
      fill: #DB0020;
    }
  }

}//end .catalog.search-bar-container


//filter drop down menu
.menu {
  background-color: #ffffff;
  position: absolute;
  list-style-type: none;
  padding: 1em 4px 1em 0;
  border: 1px solid #D9D9D9;
  border-radius: 4px;
  width: 220px;
  margin-top: 0;
  z-index: 10;

  &#search-options{
   top: 40px;
   left: 0;
  }

  &#filter-options{
   top: 40px;
   right: 0;
  }

  button {
    background: none;
    border: 0;
    font-size: 14px;
    position: relative;
    padding: 6px;
    width: 100%;
    text-align: left;
    cursor:pointer;
    > * {
      pointer-events: none;
    }

    &:focus {
      outline: 0;
      box-shadow: none;
      &:after {
        border: 2px solid #1977D4;
        content: "";
        position: absolute;
        border-radius: 4px;
        width: calc(100% + -10px);
        height: calc(100% + 0px);
        top: 0px;
        left: 5px;
        z-index: 1;
      }
    }

    &[aria-checked=false] pearson-icon {
      display: none; }

    &[aria-checked=true] pearson-icon {
      display: inline-block; }

    pearson-icon {
      position: absolute;
      left: 12px;
    }

    span {
      margin-left: 32px;
    }

  }// end button

} // end .menu


//menu placement when collapsed
.collapsed ~ #search-options{
  width:100%;
}

.collapsed ~ #filter-options{
  width:100%;
}

.both.collapsed ~ #filter-options{
  top:80px;
}

//error state
.error-state{
  margin-top:4px;
  align-items: center;
  display:none;
}

